# Class default

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:6

#####
Index

### Constructors

constructor

### Properties

anims
frame
key
list
phaserSprite
pipelineData
scene
texture
textureManager

### Methods

add
addAt
addedToScene
apply
clearTint
destroy
disableInteractive
getAll
getAt
getIndex
off
on
once
play
remove
removeAll
removeFromDisplayList
setAlpha
setAngle
setCrop
setFrame
setInteractive
setMask
setName
setOrigin
setPipeline
setPipelineData
setPosition
setPositionRelative
setScale
setSize
setSizeToFrame
setTexture
setTint
setTintFill
setVisible
stop

## Constructors

### constructor

- new default(textureManager, x, y, texture): default

- #### Parameters

  - textureManager: any
  - x: any
  - y: any
  - texture: any

  #### Returns default

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:16

## Properties

### anims

anims: any

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:14

### frame

frame: any

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:11

### key

key: any

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:10

### list

list: any[] = []

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:15

### `Private` phaserSprite

phaserSprite: any

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:7

### pipelineData

pipelineData: any

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:8

### scene

scene: any

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:13

### texture

texture: any

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:9

### textureManager

textureManager: any

- Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:12

## Methods

### add

- add(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:168

### addAt

- addAt(obj, index): void

- #### Parameters

  - obj: any
  - index: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:178

### addedToScene

- addedToScene(): any

- #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:80

### apply

- apply(): any

- #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:140

### clearTint

- clearTint(): any

- #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:130

### destroy

- destroy(): any

- #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:152

### disableInteractive

- disableInteractive(): any

- #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:135

### getAll

- getAll(): any[]

- #### Returns any[]

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:199

### getAt

- getAt(index): any

- #### Parameters

  - index: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:195

### getIndex

- getIndex(obj): number

- #### Parameters

  - obj: any

  #### Returns number

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:190

### off

- off(event, callback, source): void

- #### Parameters

  - event: any
  - callback: any
  - source: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:50

### on

- on(event, callback, source): any

- #### Parameters

  - event: any
  - callback: any
  - source: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:101

### once

- once(event, callback, source): any

- #### Parameters

  - event: any
  - callback: any
  - source: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:71

### play

- play(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:144

### remove

- remove(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:183

### removeAll

- removeAll(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:173

### removeFromDisplayList

- removeFromDisplayList(): any

- #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:75

### setAlpha

- setAlpha(alpha): any

- #### Parameters

  - alpha: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:105

### setAngle

- setAngle(angle): any

- #### Parameters

  - angle: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:160

### setCrop

- setCrop(x, y, width, height): any

- #### Parameters

  - x: any
  - y: any
  - width: any
  - height: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:125

### setFrame

- setFrame(frame, updateSize?, updateOrigin?): any

- #### Parameters

  - frame: any
  - `Optional` updateSize: boolean
  - `Optional` updateOrigin: boolean

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:114

### setInteractive

- setInteractive(hitArea, hitAreaCallback, dropZone): any

- #### Parameters

  - hitArea: any
  - hitAreaCallback: any
  - dropZone: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:97

### setMask

- setMask(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:164

### setName

- setName(name): any

- #### Parameters

  - name: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:156

### setOrigin

- setOrigin(x, y): any

- #### Parameters

  - x: any
  - y: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:62

### setPipeline

- setPipeline(obj): any

- #### Parameters

  - obj: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:45

### setPipelineData

- setPipelineData(key, value): void

- #### Parameters

  - key: any
  - value: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:148

### setPosition

- setPosition(x, y): any

- #### Parameters

  - x: any
  - y: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:89

### setPositionRelative

- setPositionRelative(source, x, y): any

- #### Parameters

  - source: any
  - x: any
  - y: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:120

### setScale

- setScale(scale): any

- #### Parameters

  - scale: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:58

### setSize

- setSize(width, height): any

- #### Parameters

  - width: any
  - height: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:66

### setSizeToFrame

- setSizeToFrame(frame?): Sprite

- #### Parameters

  - `Optional` frame: boolean | Frame

  #### Returns Sprite

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:41

### setTexture

- setTexture(key, frame?): default

- #### Parameters

  - key: string
  - `Optional` frame: string | number

  #### Returns default

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:37

### setTint

- setTint(color): any

- #### Parameters

  - color: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:109

### setTintFill

- setTintFill(color): any

- #### Parameters

  - color: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:53

### setVisible

- setVisible(visible): any

- #### Parameters

  - visible: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:85

### stop

- stop(): any

- #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockSprite.ts:93